<?php
	include("funciones/funciones_backup.php");   
	include("conexion/conexion.php");
	encabezado2($target);  
	$guia=$_GET['guia'];
	$tipo=$_GET['tipo'];
	$pagina='ACTUALIZAR ESTADO A REENVIO';
	if($tipo==2 && !isset($Ejecutar)){
		echo "<script>
		  alert('Esta Seguro Que Desea Eliminar Este Menu');
		  </script>";
		$read="readonly='readonly'";
		$read2="disabled";
		$pagina='ELIMINAR MENU';
	}
?>
<center>
<form action="" method="POST">
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: <? echo $pagina;?> ::..</div></td>
</td>
</tr>
<tr class=miTable_tr>
<td class="miTable_td" width="150">Numero de Guia:</td>
<td class="miTable_td" width="150">
<input type="text" name="guia" value="<? echo $guia;?>" class="inputbox" size="25">
<input type="hidden" name="tabla" value="<? echo $tabla;?>" class="inputbox" size="25">
<input type="hidden" name="est" value="19" class="inputbox" size="25">
<input type="hidden" name="sucursal" value="<? echo $sucursal?>" class="inputbox" size="25">
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="submit" name="Ejecutar" value="Reenviar Guia" class="inputbox">
</div>
</td>
</tr>
</table>
</form>
</center>
<?
if($tipo==1 && isset($Ejecutar)){
  
class actualizarEstado{
	var $consultarObj;
	var $conexionObj;
	var $estado;

	function validar($guia,$tabla,$estado,$sucursal){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$rst_validar=$this->conexionObj->consultar("SELECT guia FROM $tabla WHERE guia='".$guia."'");
			if(mysql_num_rows($rst_validar)>=1){
				$this->modificarEstado($guia,$tabla,$estado,$sucursal);
			}else{
				$msgBOX2 = "No Se Encontro Guia.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}
	
	}
	function modificarEstado($guia,$tabla,$estado,$sucursal){
			$rst_modificar=$this->conexionObj->consultar("UPDATE $tabla AS g INNER JOIN ordenes AS o ON g.orden=o.orden SET id_estado = '".$estado."', id_devolucion = '0', id_mensajero = '0', id_planilla = '0', id_manifiesto = '0' ".
			"WHERE guia = '".$guia."' AND id_estado = '16' AND o.cerrada_fecha IS NULL");
			$affected_modificar=mysql_affected_rows();
			if($affected_modificar>=1){
				$this->userObj=new select_zonas();
				$id=$this->userObj->get_id($guia);
				$tabla_rastreo=$this->userObj->get_tabla_rastreo($sucursal);
				$rst_select=$this->conexionObj->consultar("UPDATE $tabla_rastreo SET E$estado='$estado', F$estado = current_date() WHERE guia = '$guia' AND id='$id'");
				$msgBOX2 = "Se Actualizo Estado Guia.";
				echo "<script>
	             	  opener.document.location.reload();
					  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}else{
				$msgBOX2 = "No Se Pudo Actualizar Estado.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}

	}
	
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$actualizarEstadoObj=new actualizarEstado();
// LAMANDO EL METODO DE NEGOCIO
$actualizarEstadoObj->validar($_POST['guia'],$_POST['tabla'],$_POST['est'],$_POST['sucursal']);
}elseif($tipo==2 && isset($Ejecutar)){
  
}
	echo"<table width=300 border=0 align=center cellpadding=0 cellspacing=0>";
    echo"<tbody><tr>";
    echo"<td></td>";
    echo"</tr>";
	echo"<tr>";
	?>
<td>
<CENTER>
<?
        pie_de_pagina();
        ?>
</CENTER>
</td>
<?php
  echo"</tr>";
  echo"</tbody></table>";
  echo"</body>";
  echo"</html>";
?>